Bug 3938 - Can't link C++/STL programs due to wrong configure options
: Can't link C++/STL programs due to wrong configure options
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/i386-mingw32msvc-gcc-c++)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-08 09:24 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-08 09:24:08
Enabling __cxa_atexit at build time leads to:

/usr/lib/gcc-lib/i386-mingw32msvc/3.3.3/libstdc++.a(io-inst.o)(.text+0x5d):io-inst.cc:
undefined reference to `__dso_handle'
/usr/lib/gcc-lib/i386-mingw32msvc/3.3.3/libstdc++.a(io-inst.o)(.text+0x6c):io-inst.cc:
undefined reference to `__cxa_atexit'
/usr/lib/gcc-lib/i386-mingw32msvc/3.3.3/libstdc++.a(ext-inst.o)(.text+0x2d):ext-inst.cc:
undefined reference to `__dso_handle'
/usr/lib/gcc-lib/i386-mingw32msvc/3.3.3/libstdc++.a(ext-inst.o)(.text+0x3c):ext-inst.cc:
undefined reference to `__cxa_atexit'

(Reported by Dmitry Koudryavtsev <juliasoft at mail dot ru>)
------- Comment #1 From 2004-04-09 15:51:21 -------
Fixed in 3.3.3-alt2.1